Bug 1352910 - hammer csv doesn't obey request_timeout
Summary: hammer csv doesn't obey request_timeout
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Uncategorized
Version: 6.1.8
Hardware: x86_64
OS: Linux
high
high
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks: 1394348 1405134 1405531
TreeView+ depends on / blocked
 
Reported: 2016-07-05 13:02 UTC by Amar Huchchanavar
Modified: 2020-04-15 14:33 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1394348 (view as bug list)
Environment:
Last Closed: 2018-02-21 16:54:17 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 15581 0 Normal Closed hammer csv doesn't obey request_timeout 2020-12-11 00:04:52 UTC

Description Amar Huchchanavar 2016-07-05 13:02:21 UTC
Description of problem:
Execution of below command always results in timeout error with large number  of clients(>400) registered on satellite server.
~~~
$ time hammer csv content-hosts --csv-export --csv-file $TMPFILE --threads 2
 Error: Request Timeout

real    2m2.756s
~~~

Version-Release number of selected component (if applicable):
Satellite 6.1.9

How reproducible:
Always

Steps to Reproduce:
1.Satellite 6.1.9 with more than 400 systems registered.
2.Execute : #hammer -u admin -p redhat -d csv content-hosts --csv-export 
3.

Actual results:
Error: Request Timeout

Expected results:
Result should be displayed

Additional info:
The following configuration seems to have no effect:
~~~
~/.hammer/cli_config.yml
:foreman:
  :request_timeout: -1
~~~

*Increased Timeout in : etc/hammer/cli.modules.d/foreman.yml
 
*No timeout errors in production log.


Relevant Bugzilla's:
>>Bug 1297683 - "Error: Request Timeout" from hammer when asked to show >400 content hosts
>>Upstream :  http://projects.theforeman.org/issues/14925


Create duplicate system profiles using below command:
~~~
# export h='test.example.com'
# for i in {1..400}; do hostnamectl set-hostname $i-$h;rm -rf /etc/pki/consumer/*;subscription-manager register --org Default_Organization --activationkey=loop --force;done
~~~

Comment 2 Tom McKay 2016-07-05 19:16:17 UTC
Created redmine issue http://projects.theforeman.org/issues/15581 from this bug

Comment 3 Bryan Kearney 2016-07-05 20:15:32 UTC
Upstream bug component is Uncategorized

Comment 5 Bryan Kearney 2016-09-30 18:17:24 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/15581 has been resolved.

Comment 7 Peter Ondrejka 2016-10-24 09:34:12 UTC
Verified in Sat 6.3 snap 5, no timeout appears when listing > 400 hosts with:

~/.hammer/cli_config.yml
:foreman:
  :request_timeout: null

Also verified that setting :request_timeout to a specific value remains functional and timeout is correctly raised after specified time.

Comment 11 Satellite Program 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.